<template>
  <div data-app>
    <div ref="home"></div>
    <PopUp @close="showDialog = false" :showDialog="showDialog" />
    <v-container
      fill-height
      fluid
      class="gradient-bg"
      style="margin-top: 72px"
      v-scroll="handleScroll"
      data-app
    >
      <v-row align="center" justify="center">
        <v-col xs="12" sm="12">
          <p class="h1-mobile ma-auto" style="width: 90%">
            {{ $t("motto") }}
          </p>
        </v-col>
      </v-row>
      <v-row justify="center" align="center" width="90%">
        <img
          class="purr-delete-confirmation mb-2"
          src="../../assets/cats/purr-delete-confirmation.svg"
          alt=""
        />
        <AppLinks
          @show-play-store-dialogue="showDialogPopUp"
          @show-app-store-dialogue="showDialogPopUp"
          class="ma-auto mb-10"
        />
      </v-row>
    </v-container>

    <v-container fill-height fluid style="width: 100%">
      <v-row class="mt-10" justify="center">
        <p class="h1-mobile" style="text-align: center; width: 90%">
          <span style="color: #ff8547">1/3</span>
          {{ $t("of_all_produced_food_is_wasted") }}
        </p>
      </v-row>
      <v-row align="center" justify="center" class="ma-auto mt-5 mb-5">
        <img
          src="../../assets/carrots-mobile.svg"
          alt="image"
          style="width: 80%"
        />
      </v-row>
    </v-container>
    <div ref="howtojoin"></div>

    <p class="h1-mobile ma-3 mt-5 mb-5">
      {{ $t("how_to_join_header") }}
    </p>
    <p class="h2-mobile mb-10">{{ $t("join_us") }}</p>

    <v-card height="450px" width="90%" class="custom-card">
      <v-img height="280px" src="../../assets/seller-bg.png"> </v-img>
      <img
        src="../../assets/cats/purr-black-friday.png"
        alt="image"
        height="250px"
        class="img-card-buyer-seller"
      />

      <v-card-actions>
        <v-row align="center" justify="center">
          <v-col cols="11">
            <p class="fat-text-mobile mt-5" style="color: #40394a !important">
              {{ $t("partners") }}
            </p>
          </v-col>
          <v-col cols="11">
            <button
              @click="$emit('scroll-to-ref', 'seller-info')"
              class="green-btn text-mobile-btn"
            >
              {{ $t("see_more") }}
            </button>
          </v-col>
        </v-row>
      </v-card-actions>
    </v-card>
    <v-card height="450px" width="90%" class="custom-card">
      <v-img height="280px" src="../../assets/buyer-bg.png"> </v-img>
      <img
        src="../../assets/cats/purr-shopping.png"
        alt="image"
        height="250px"
        class="img-card-buyer-seller"
      />

      <v-card-actions>
        <v-row align="center" justify="center">
          <v-col cols="11">
            <p class="fat-text-mobile mt-5" style="color: #40394a !important">
              {{ $t("users") }}
            </p>
          </v-col>
          <v-col cols="11">
            <button
              @click="$emit('scroll-to-ref', 'buyer-info')"
              class="green-btn text-mobile-btn"
            >
              {{ $t("see_more") }}
            </button>
          </v-col>
        </v-row>
      </v-card-actions>
    </v-card>
    <div ref="buyerinfo"></div>

    <v-container fill-height fluid class="gradient-bg mt-16 mb-10">
      <v-row align="center" justify="center" width="80%">
        <v-col xs="12" sm="10" md="10" lg="10" xl="10" justify="center">
          <p class="h1-mobile" style="text-align: center">
            {{ $t("header_join_customer") }}
          </p>
          <p class="h2-mobile" style="text-align: center">
            {{ $t("subheader_join_customer") }}
          </p>
        </v-col>
      </v-row>

      <v-row justify="center" align="center" width="90%">
        <AppLinks
          @show-play-store-dialogue="showDialogPopUp"
          @show-app-store-dialogue="showDialogPopUp"
          class="ma-auto mb-10"
        />
      </v-row>
    </v-container>

    <StepsBuyerMobile @show-dialog-pop-up="showDialogPopUp" />
    <!-- <Subscribe style="width: 95%" :userType="'customer'" /> -->
    <div ref="sellerinfo"></div>

    <v-container fill-height fluid class="gradient-bg mt-16 mb-10">
      <v-row align="center" justify="center" width="80%">
        <v-col xs="12" sm="10" md="10" lg="10" xl="10" justify="center">
          <p class="h1-mobile" style="text-align: center">
            {{ $t("header_join_partner") }}
          </p>
          <p class="h2-mobile" style="text-align: center">
            {{ $t("subheader_join_partner") }}
          </p>
        </v-col>
      </v-row>

      <v-row justify="center" align="center" width="90%">
        <AppLinks
          @show-play-store-dialogue="showDialogPopUp"
          @show-app-store-dialogue="showDialogPopUp"
          class="ma-auto mb-10"
        />
      </v-row>
    </v-container>
    <StepsSellerMobile @show-dialog-pop-up="showDialogPopUp" />
    <!-- <Subscribe style="width: 95%" :userType="'partner'" /> -->

    <div ref="contact"></div>
    <v-container>
      <p class="h1-mobile" style="margin-top: 20px">
        {{ $t("interested_restiki") }}
      </p>
      <v-row align="center" justify="center"
        ><img
          src="../../assets/aroma-kava.png"
          alt="aroma kava"
          class="interested-img"
        />
        <img
          src="../../assets/eurasia.png"
          alt="eurasia"
          class="interested-img"
        />
        <img
          src="../../assets/ugoliok.png"
          alt="ugoliok"
          class="interested-img"
        />
      </v-row>
    </v-container>
  </div>
</template>

<script>
import "../../assets/style.scss";
import AppLinks from "../AppLinks";
// import Subscribe from "../Subscribe";
import PopUp from "../PopUp.vue";
import StepsSellerMobile from "./StepsSellerMobile";
import StepsBuyerMobile from "./StepsBuyerMobile";

export default {
  name: "MainPageMobile",
  components: {
    AppLinks,
    // Subscribe,
    PopUp,
    StepsSellerMobile,
    StepsBuyerMobile,
  },
  props: {
    selectedMenuItem: Number,
  },
  mounted() {
    window.setInterval(() => {
      this.now = Math.trunc(new Date().getTime() / 1000);
      this.computeDigits();
    }, 1000);
  },
  data() {
    return {
      date: Math.trunc(Date.parse("15 Nov 2021 00:00:00 GMT") / 1000),
      now: Math.trunc(new Date().getTime() / 1000),
      showDialog: false,
      days: 0,
      hours: 0,
      minutes: 0,
      seconds: 0,
      email: "",
      rules: {
        required: (value) => !!value || "Required field",
        email: (value) => {
          const pattern =
            /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
          return pattern.test(value) || "wrong format";
        },
      },
    };
  },
  methods: {
    two_digits(value) {
      if (value.toString().length <= 1) {
        return "0" + value.toString();
      }
      return value.toString();
    },
    computeDigits() {
      // seconds
      let value = (this.date - this.now) % 60;
      if (value.toString().length <= 1) {
        this.seconds = "0" + value.toString();
      } else {
        this.seconds = value.toString();
      }
      // minutes
      value = Math.trunc((this.date - this.now) / 60) % 60;
      if (value.toString().length <= 1) {
        this.minutes = "0" + value.toString();
      } else {
        this.minutes = value.toString();
      }
      // hours
      value = Math.trunc((this.date - this.now) / 60 / 60) % 24;
      if (value.toString().length <= 1) {
        this.hours = "0" + value.toString();
      } else {
        this.hours = value.toString();
      }
      // days
      value = Math.trunc((this.date - this.now) / 60 / 60 / 24);
      if (value.toString().length <= 1) {
        this.days = "0" + value.toString();
      } else {
        this.days = value.toString();
      }
    },
    showDialogPopUp() {
      this.showDialog = true;
    },
    handleScroll() {
      const howtojoinPos = this.getCoords(this.$refs.howtojoin).top - 500;
      const contactPos = this.getCoords(this.$refs.contact).top - 500;

      if (window.scrollY < howtojoinPos && this.selectedMenuItem != 0) {
        this.$emit("change-menu-item", 0);
      }
      if (
        window.scrollY >= howtojoinPos &&
        window.scrollY <= contactPos &&
        this.selectedMenuItem != 1
      ) {
        this.$emit("change-menu-item", 1);
      } else if (window.scrollY > contactPos && this.selectedMenuItem != 2) {
        this.$emit("change-menu-item", 2);
      }
    },
    getCoords(elem) {
      var box = elem.getBoundingClientRect();

      var body = document.body;
      var docEl = document.documentElement;

      var scrollTop = window.pageYOffset || docEl.scrollTop || body.scrollTop;
      var scrollLeft =
        window.pageXOffset || docEl.scrollLeft || body.scrollLeft;

      var clientTop = docEl.clientTop || body.clientTop || 0;
      var clientLeft = docEl.clientLeft || body.clientLeft || 0;

      var top = box.top + scrollTop - clientTop;
      var left = box.left + scrollLeft - clientLeft;

      return { top: Math.round(top), left: Math.round(left) };
    },
  },
};
</script>

<style lang="scss" scoped>
@import "../../assets/variables.scss";
.h1-mobile {
  font-family: "MontserratBold" !important;
}
.img-card-buyer-seller {
  position: absolute;
  top: 0;
  right: 50%;
  transform: translateX(50%);
}
.v-card {
  border-radius: 30px;
}
.motto {
  font-style: normal;
  font-weight: 800;
  font-size: 60px;
  line-height: 73px;
  text-align: center;
  vertical-align: middle;
  color: var(--dark100);
  font-family: var(--font-family);
}
.smaller-motto {
  font-size: 40px;
}
.v-col {
  display: flex;
  justify-content: center;
  align-items: center;
}
.gradient-bg {
  background-image: linear-gradient(
    to right,
    rgba(126, 202, 156, 0.3),
    rgba(255, 133, 71, 0.3)
  );
  width: 100%;
  margin: 0;
  align-items: center;
}
.purr-delete-confirmation {
  width: 80%;
  max-width: 380px;
}
.btn-link {
  width: 100%;
  min-width: 150px;
  height: 50px;
  border-width: 2px;
  border-radius: 15px;
}
.call-to-action {
  margin: auto;
  margin-top: -20px;
  margin-bottom: 20px;
  border-radius: 30px;
  border: 3px solid #393939;
  width: 80%;
  text-align: center;
}
.custom-card {
  margin: auto;
  margin-bottom: 15px;
}
.video {
  margin-bottom: 30px;
  width: 80%;
}
.choose-bg {
  background-image: url("../../assets/choose-bg.png");
  background-repeat: no-repeat;
  background-size: auto;
}
.block {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.interested-img {
  width: 100px;
  margin: 20px;
}
/**timeline */

@mixin tablet-and-up {
  @media screen and (min-width: 769px) {
    @content;
  }
}
@mixin mobile-and-up {
  @media screen and (min-width: 601px) {
    @content;
  }
}
@mixin tablet-and-down {
  @media screen and (max-width: 768px) {
    @content;
  }
}
@mixin mobile-only {
  @media screen and (max-width: 600px) {
    @content;
  }
}

.sessions {
  margin-top: 50px;
  border-radius: 12px;
  position: relative;
}

.small-grey-text-mobile {
  line-height: 12px;
  font-style: normal;
  font-weight: 500;
  font-size: 12px !important;
  font-family: var(--font-family) !important;
  word-break: normal;

  color: var(--gray100);
}
</style>
